# SceKernelSemaInfo Struct Reference
[Thread Manager Library]

`#include <sdk/user/pspthreadman.h>`

## Detailed Description

Current state of a semaphore.

See also:
  sceKernelReferSemaStatus.

## Data Fields

SceSize | size
| Size of the SceKernelSemaInfo structure.
char | name [32]
| NUL-terminated name of the semaphore.
SceUInt | attr
| Attributes.
int | initCount
| The initial count the semaphore was created with.
int | currentCount
| The current count.
int | maxCount
| The maximum count.
int | numWaitThreads
| The number of threads waiting on the semaphore.

## Field Documentation

SceUInt SceKernelSemaInfo::attr

| Attributes.

int SceKernelSemaInfo::currentCount

| The current count.

int SceKernelSemaInfo::initCount

| The initial count the semaphore was created with.

int SceKernelSemaInfo::maxCount

| The maximum count.

char SceKernelSemaInfo::name[32]

| NUL-terminated name of the semaphore.

int SceKernelSemaInfo::numWaitThreads

| The number of threads waiting on the semaphore.

SceSize SceKernelSemaInfo::size

| Size of the SceKernelSemaInfo structure.

The documentation for this struct was generated from the following file:

- sdk/user/pspthreadman.h